%define		source_name gmpc-lyrics
Summary:	Lyrics provider plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca słowa piosenek dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-lyrics
Version:	11.8.16
Release:	2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	fb4f8f7c765a1fc241c39464a050f0e7
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LYRICS
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
#BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gmpc-devel >= 0.18.100
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
Requires:	gmpc >= 0.19.0
Obsoletes:	gmpc-plugin-lyrics-provider < 11.8.16-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin fetches lyrics from the internet. It uses the following
websites as sources:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%description -l pl.UTF-8
Ta wtyczka pobiera słowa piosenek z następujęcych serwisów
internetowych:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/lyricsplugin.so
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc-plugin-lyrics.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 085b12a
- Release 2 (by relup.sh)

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> 230edc9
- up to 11.8.16, renamed to gmpc-plugin-lyrics to match upstream name

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> aa50695
- 0.20.0

* Sun Sep 20 2009 Karol Krenski <charles@pld-linux.org> 7735950
- updated to 0.19.0
- updated BRs

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> 75d2c75
- updated to 0.18.100

* Sat Mar 28 2009 Artur Frysiak <artur@frysiak.net> 86a1d3d
- fix Source0 URL and md5sum for it

* Sat Mar 28 2009 Artur Frysiak <artur@frysiak.net> 875c84f
- updated to 0.18.0

* Sat Jan 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4e68318
- updated to 0.17.0

* Sat Dec 06 2008 Jacek Konieczny <jajcus@pld-linux.org> 455b69d
- Version: 0.16.0 (current stable)

* Sat Dec 06 2008 Jacek Konieczny <jajcus@pld-linux.org> 0c1688b
- not needed any more

* Sun May 20 2007 Artur Frysiak <artur@frysiak.net> 6fa3545
- updated to 0.15.0

* Fri Mar 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 5495d1e
- formatting, cut down changelog

* Tue Feb 20 2007 Artur Frysiak <artur@frysiak.net> ca2a881
- initial version

* Tue Feb 20 2007 Artur Frysiak <artur@frysiak.net> 3e54422
- fix plugins path

